#
# spec file for package nodejs-node-uuid
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name node-uuid

Name:           nodejs-node-uuid
Version:        1.4.3
Release:        12.1
Summary:        Generate RFC-compliant UUIDs in JavaScript
License:        MIT
Group:          Development/Languages/Other
Url:            https://github.com/isaacs/node-uuid
Source:         http://registry.npmjs.org/%{base_name}/-/%{base_name}-%{version}.tgz
BuildRequires:  nodejs-packaging
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%nodejs_find_provides_and_requires

%description
Simple, fast generation of RFC4122 UUIDS. 

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_modulesdir}/%{base_name}
cp -pr *.json uuid.js benchmark bin \
        %{buildroot}%{nodejs_modulesdir}/%{base_name}/

%files
%defattr(-,root,root,-)
%doc README.md LICENSE.md
%{nodejs_modulesdir}/%{base_name}

%changelog
* Sat Jun 27 2015 i@marguerite.su
- update version 1.4.3
* Sat Apr  4 2015 dmueller@suse.com
- enable building for all arches
* Thu Oct  9 2014 jgleissner@suse.com
- use nodejs-packaging for building
* Mon Sep 22 2014 i@marguerite.su
- format specfile
* Tue Aug 19 2014 jgleissner@suse.com
- install uuid.js
* Mon Aug 18 2014 jgleissner@suse.com
- Initial build
